Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.featsel.base.FractionTailSelector

class `mvpa2.featsel.base.``FractionTailSelector`(felements, **kwargs)

  Given a sequence, provide Ids for a fraction of elements

  Notes

  Available conditional attributes:

  - `ndiscarded+`: Store number of discarded elements.

  (Conditional attributes enabled by default suffixed with `+`)

  Methods

  `reset`() |

  Parameters:

  felements : float (0,1.0]

  > Fraction of elements to select/discard. Note: Even when 0.0 is specified at least one element will be selected.

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  tail : [‘lower’, ‘upper’]

  > Choose the tail to be processed.

  sort : bool

  > Flag whether selected IDs will be sorted. Disable if not necessary to save some CPU cycles.

  mode : {‘discard’, ‘select’}

  > Decides whether to `select` or to `discard` features.

  descr : str

  > Description of the instance

  Methods

  `reset`() |

  `felements`

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »